package jp.deadend.noname.ntl;

class AppNameInfo implements Comparable<AppNameInfo> {
	public String name;
	public String packageName;
	public String className;

	public AppNameInfo(String n, String pn, String cn) {
		name = n;
		packageName = pn;
		className = cn;
	}

	public int compareTo(AppNameInfo other) {
		return this.name.compareTo(other.name);
	}

	// for List#remove()
	// ignoring hashcode() :-)
	public boolean equals(Object obj) {
		if (obj == this) {return true;}
		if (!(obj instanceof AppNameInfo)) {return false;}

		AppNameInfo sample = (AppNameInfo)obj;
		return sample.name.equals(name)
			&& sample.packageName.equals(packageName)
			&& sample.className.equals(className);
	}
}
